Replace image tags
curl --request PUT \
--url https://api.gcore.com/cloud/v1/images/{project_id}/{region_id}/{image_id}/metadata \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.gcore.com/cloud/v1/images/{project_id}/{region_id}/{image_id}/metadata"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.gcore.com/cloud/v1/images/{project_id}/{region_id}/{image_id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Images
Replace image tags
deprecated
Delete all existing tags and replace them with the tags from the request. Use PATCH /v1/images/// instead
PUT
/
cloud
/
v1
/
images
/
{project_id}
/
{region_id}
/
{image_id}
/
metadata
Replace image tags
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Region ID
Image ID
Body
application/json
The body is of type UpdateTagsSerializer · object.
Response
Everything is OK
Was this page helpful?
⌘I